Package org.eclipse.graphiti.ui.internal.services.impl

## Class ExportDiagramAsImageDummyImageProvider

- java.lang.Object
- - org.eclipse.graphiti.platform.AbstractExtension
  - - org.eclipse.graphiti.ui.internal.services.impl.ExportDiagramAsImageDummyImageProvider

All Implemented Interfaces:
  `IExtension`, `IImageProvider`

    public class ExportDiagramAsImageDummyImageProvider
    extends AbstractExtension
    implements IImageProvider

### Constructor Summary

Constructors
`ExportDiagramAsImageDummyImageProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getImageFilePath​(java.lang.String imageId)` This is a method simply returns the location of the image file in the plug-in.
`java.lang.String` `getPluginId()`
`void` `setPluginId​(java.lang.String pluginId)`

### Methods inherited from class org.eclipse.graphiti.platform.AbstractExtension

`getProviderId, setProviderId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.platform.IExtension

`getProviderId, setProviderId`

### Constructor Detail

#### ExportDiagramAsImageDummyImageProvider

    public ExportDiagramAsImageDummyImageProvider()

### Method Detail

#### getPluginId

    public final java.lang.String getPluginId()

Specified by:
  `getPluginId` in interface `IImageProvider`
Returns:
  The pluginId of the plug-in containing the image files provided by this image-provider

#### setPluginId

    public final void setPluginId​(java.lang.String pluginId)

Specified by:
  `setPluginId` in interface `IImageProvider`
Parameters:
  `pluginId` - The pluginId of the plug-in containing the image files provided by this image-provider

#### getImageFilePath

    public final java.lang.String getImageFilePath​(java.lang.String imageId)

Description copied from interface: `IImageProvider`
This is a method simply returns the location of the image file in the plug-in. The path is relative to the root of the plug-in. The path must not have a leading "." or path separator. Clients should use a path like "icons/mysample.gif" rather than "./icons/mysample.gif" or "/icons/mysample.gif".

Specified by:
  `getImageFilePath` in interface `IImageProvider`
Returns:
  imageFilePath the relative path of the image file, relative to the root of the plug-in; the path must be legal